# $Id: time.rb,v 1.2 2002/08/07 14:02:44 nobu Exp $

require 'optparse'
require 'time'

OptionParser.accept(Time) do |s|
  begin
    (Time.httpdate(s) rescue Time.parse(s)) if s
  rescue
    raise OptionParser::InvalidArgument, s
  end
end
